FreeBSD : ImageMagick7 -- multiple vulnerabilities (e1f67063-aab4-11e6-b2d3-60a44ce6887b)

This script is Copyright (C) 2016-2017 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Multiple sources report :

CVE-2016-9298: heap overflow in WaveletDenoiseImage(), fixed in
ImageMagick7-7.0.3.6, discovered 2016-10-31

CVE-2016-8866: memory allocation failure in AcquireMagickMemory
(incomplete previous fix for CVE-2016-8862), not fixed yet with the
release of this announcement, re-discovered 2016-10-13.

CVE-2016-8862: memory allocation failure in AcquireMagickMemory,
initially partially fixed in ImageMagick7-7.0.3.3, discovered
2016-09-14.

See also :

https://github.com/ImageMagick/ImageMagick/issues/296
http://www.nessus.org/u?7bfc22fd
http://www.nessus.org/u?c76db473
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=214514
http://www.nessus.org/u?cfb4f9af

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 95514 ()

Bugtraq ID:

CVE ID: CVE-2016-8862
CVE-2016-8866
CVE-2016-9298

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now